declare class HttpHeader {
    constructor(params: any);
}
declare class Builder<T> {
    http: any;
    constructor(http: any);
    dispatch(urls: any): {};
    /**
     * 发送请求
     * @param {*} urlConfig : URL 配置表内容
     * @param {*} data ：data 请求体
     * @param {*} config ：开发配置
     * @returns Promise
     */
    use(urlConfig: Record<string, any>, data: any, config?: Record<string, any>): Promise<T>;
}
declare class Http<T> {
    static Builder: typeof Builder;
    config: Record<string, any>;
    interceptors: Record<string, any>;
    constructor(options?: Record<string, any>);
    setBaseURL(baseURL: any): this;
    setHeader(header: any): this;
    setData(data: any): this;
    setOptions(options: any): void;
    /**
     * 请求主方法
     * @param {Object} options 实时传递的配置
     * @returns Promise
     * 说明：配置优先级 实时传递的 options > 公共配置的 config
     */
    request(options: any): Promise<unknown>;
    all(promises: any): Promise<any[]>;
}
export { HttpHeader, Http };
